import { LogLevel } from './log_level';
/**
 * Describes a single log entry.
 * Contains information about the correlation, process model and flow node instance to which the entry belongs,
 * aswell as a timestamp, log level and the concrete message that was logged.
 */
export declare class LogEntry {
    processModelId: string;
    correlationId: string;
    flowNodeInstanceId?: string;
    logLevel: LogLevel;
    message: string;
    timeStamp: Date;
}
